Squid 爆安全漏洞,影响几乎所有版本

2010年09月06日 13:08 次阅读 稿源: 条评论
感谢赶紧更新吧的投递
Squid Cache(简称为Squid)是一个流行的自由软件(GNU通用公共许可证)的代理服务器和Web缓存服务器。Squid有广泛的用途,从作为网页服务 器的前置cache服务器缓存相关请求来提高Web服务器的速度,到为一组人共享网络资源而缓存万维网,域名系统和其他网络搜索,到通过过滤流量帮助网络 安全,到局域网通过代理上网。Squid主要设计用于在Unix一类系统运行。Squid的发展历史相当悠久,功能也相当完善。除了HTTP外,对于 FTP与HTTPS的支持也相当好,在3.0 测试版中也支持了IPv6。
此漏洞是squid 今年爆出的第三个拒绝式服务漏洞,且影响版本较广.
受影响版本: Squid 3.0 -> 3.0.STABLE25
Squid 3.1 -> 3.1.7
Squid 3.2 -> 3.2.0.1

官方建议升级正在使用的版本。

在最新发布的 Squid 3.1.8 和 3.2.0.2 beta 中已经修复了该问题.

下载地址:
ftp://ftp.squid-cache.org/pub/squid/squid-3.1.8.tar.bz2 (3.1.8)
ftp://ftp.squid-cache.org/pub/archive/3.2/squid-3.2.0.2.tar.bz2 (3.2.0.2 beta)

如果你使用是3.0老版本,目前还没有修复版本,不过相关补丁已经给出.
patch: http://www.squid-cache.org/Versions/v3/3.0/changesets/squid-3.0-9189.patch

关于此SUV(Security Update Advisory)的更多介绍:
http://www.squid-cache.org/Advisories/SQUID-2010_3.txt

访问:

腾讯云

访问:

阿里云 - 最高1888元通用代金券立即可用

腾讯云

活动入口:

腾讯云 - 热销云产品年付3折起

对文章打分

Squid 爆安全漏洞,影响几乎所有版本

1 (20%)
已有 条意见
300-250.jpg

    最新资讯

    加载中...

    今日最热

    加载中...

    热门评论

      招聘


      Advertisment ad adsense googles cpro.baidu.com
      created by ceallan